Bug 141198 - gconftool-2 --get foo hangs with invalid TEMP variable set
gconftool-2 --get foo hangs with invalid TEMP variable set
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-11-29 15:40 EST by Joseph Dunn
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 10:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Dunn 2004-11-29 15:40:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Open office hangs before opening any windows.  The strace I ran didn't
help me find the bug.  However, when I moved the files:
.openoffice-install-log .openoffice-lock .rhopenoffice1.1/
to a temp directory and started oowriter it failed as follows

[jdunn@porkrind ~]$ oowriter
sh: line 1: 14292 Aborted                
-R:/tmp/ooo-wrapper.autoresponse.file.k14290 -v -nogui
>~/.openoffice-install-log 2>&1
Installation of OpenOffice.org 1.1.2 failed:
-R:/tmp/ooo-wrapper.autoresponse.file.k14290 -v -nogui >
~/.openoffice-install-log 2>&1'

Running a piece of this by hand:
[jdunn@porkrind ~]$

** ERROR **: Resource problem creating 'blah/orbit-jdunn'

After a little thinking I realized that I had set the environment
variable TEMP to the value blah.  So, openoffice is using $TEMP as the
path for temporary files.  From what my coworker and I remember TEMP
is a windows environment variable, not Unix.  The same behavior can be
seen by setting TMP to invalid values.  This isn't exactly a bug, but
could be awfully confusing for the user (as it was for me =).  A
modification to the startup scripts for openoffice should allow for
clearer failure in all cases.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. in gnome-terminal run the following
2. export TEMP=blah
3. oowriter
4. watch it sit (assuming there is no writable "blah" directory)

1. in gnome-terminal run the following
2. rm -rf ~/.openoffice-* ~/.rhopenoffice1.1
3. oowriter
4. watch it fail as described

Actual Results:  An annoying hang, and a cryptic failure.

Expected Results:  certainly no hang, and hopefully a clear error that
could be acted on by someone with less experience.

Additional info:
Comment 1 Caolan McNamara 2004-12-15 03:54:49 EST
The hang isn't openoffice.org's fault. the oowriter etc script calls
gconftool-2 --get which hangs with such an invalid TEMP dir.

The hang is the real nuisance, at least if you didn't hang there you
would later see the "** ERROR **: Resource problem creating
aborting..." error message from oowriter like you do from the setup
program, which would give the hint as to what is wrong. This is coming
from libORBit-2, nothing OOo can do about that either (e.g. run gedit
from a gnome-terminal with TEMP set to blah). Whether orbit-2 should
honour TEMP rather than TMPDIR, or hardcode to P_tmpdir is a question
for them :-)
Comment 2 Matthew Miller 2006-07-10 17:31:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-11-05 10:48:30 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.